These docs are for v1. Click to read the latest docs for v3.

Create

This API allows you to create new shifts for a driver present in your account. You can create shifts only for those drivers to whom you have access to and provided you have the privilege to do so. Along with creating a shift, this API also generates a unique shift ID for that shift. This ID will serve as a reference while making API calls for viewing, updating and deleting activities related to this shift.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/users/shift/capture.json

{  
   "eventTime":1459051800000,
   "eventType":1,
   "location":{  
      "accuracy":75.0,
      "address":{  
         "city":"San Jose",
         "country":"USA",
         "formattedAddress":"132,Lakeshore Circle, San Jose, California, USA 95131",
         "state":"California",
         "zip":"95131"
      },
      "altitude":-1.0,
      "bearing":-1.0,
      "latitude":37.385698,
      "longitude":-121.894093,
      "speed":-1.0,
      "time":1456278813000
   }
“misc”:  “Starting shift”
}

API Response Explanation

FieldDescription
codeAPI Status Code
messageAPI Message (Success/Failure)
generatedAtInMillisAPI generation timestamp in UTC
shiftIdUnique identifier of the shift
Body Params
int32
required

Timestamp (in milliseconds) during which the shift was created

int32
required

Type of events separated by comma. The following values are valid: 1 - Shift start , 2 - Break start, 3 - Break End, 4 - Shift End

double

Precision of the location point

string

City of the shift location

string

Country of the shift location

string

Concatenated string containing the complete address of the shift location

string

State of the shift location

string

Postal code of the shift location

double

Altitude or elevation of the shift location

double

Used for navigation and direction

double

Latitude coordinates of the shift location

double

Longitude coordinates of the shift location

double

Speed of the vehicle which is tracked

string

Address generation timestamp in milliseconds

string

Additional information about the shift activity

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json